Subject: [bug#49813] [PATCH 04/34] gnu: tao: Fix regex in FIND-FILES invocation.

From: Sarah Morgensen <[email-masked]>
Date: Sat, 28 Aug 2021 15:59:32 -0700

Hi Maxime,

Thanks for taking a look at this.

Maxime Devos <[email-masked]> writes:

> Sarah Morgensen schreef op zo 01-08-2021 om 14:18 [-0700]:
>> -                         (find-files "include" "\\.h"))
>> +                         (find-files "include" "\\.h$"))
>
> C++ header files are sometimes named "something.hpp" instead
> of "something.h", so you might want to verify these don't exist.
> (And if they do exist, keep the regex "\\.h", or make it "\\.(h|hpp)$"?)
>
> Likewise for 'kaldi', 'shogun' and 'rtags'.  Otherwise, these
> new regexes look good to me (but I didn't test them).

Good catch.  I just checked the sources for all of those, and I can
verify that they don't exist.  (Shogun and rtags do have .hpp files in
their source, but only in other directories.)

--
Sarah